[ADMN] GroupBasedPVP v2.0.3 - Disable PVP for groups [1.4.5-1.4.7]

Discussion in 'Archived: Plugin Releases' started by homerbond005, Jun 16, 2011.

  1. Offline

    homerbond005

    Maybe this page is outdated. Please see Bukkit Dev.

    Hello together!

    This is already my 4th plugin. This idea is from poiuyt580.
    This is a plugin that disables PVP with groups. If you are in group1 and it is configured, you can't attack people form group2, for example. Players with with special permission nodes can't be attacked (are protected), can't attack other players (are disabled) or can attack everyone, ignoring the other cofigurations. A complex PvP structure can be set and nearly :p everything is configurable. Have fun!

    All Groups are set in PermissionsBukkit or PermissionsEx or bPermissions or GroupManager.

    Uses Metrics for sending completly anonomous data to http://mcstats.org for usage tracking. See http://mcstats.org and GitHub for more info.

    Requirements:

    PermissionsBukkit v1.2k
    or
    PermissionsEx
    or
    bPermissions
    or
    GroupManager


    Installation:
    1. Copy Group Based PVP.jar in your /plugins/ folder.
    2. Restart or reload your server.
    Configuration:
    1. Open penalties.yml in /plugins/GroupBasedPVP/
    2. "HealthAttackingPlayer" has to be a number. It adds live to the attacked player if the attacking player is not allowed. A minus in front of the number means damage. (Could be a gift)
    3. "HealthAttackedPlayer": Like 2. for the attacking player. (Could be a penalty)
    4. "CannotBeAttacked": Message for a protected player
      • %p for the player that is attacked
    5. "NoPermAttackAnyone": Message for a player that can't attack anyone
    6. "GroupNoPermAttackAnyone": Message for a player in a group that can't attack anyone
      • %g is the group that can't attack anyone
    7. "Group1NoPermAttackGroup2": Message for player in group1 that can't attack group2
      • %g1 will be replaced with group 1
      • %g2 will be replaced with group 2
    8. Open config.yml in /plugins/GroupBasedPVP/
    9. Add/edit lines like the following:
    Code:
    User: Admin #The group User cannot attack the group Admin
    Visitor: User, Admin #The group Visitor can't attack the groups User and Admin

    Permissions:

    GroupBasedPVP.pvp.protect
    -> Users with this node can't be attacked by anyone
    GroupBasedPVP.pvp.disallow
    -> Users with this node can't attack anyone
    GroupBasedPVP.pvp.everyone
    -> Users with this node can attack everyone even if they have GroupBasedPVP.pvp.protect

    Download:


    Changelog:
    • v2.0.2:
      • Fixed bug that showed errors in console when someone get shot by an arrow
      • Added class for permission checking
    Show Spoiler

    • v2.0.1:
      • Fixed bug that prevented configs of worlds generated by Multiverse being created/loaded
      • Fixed auto updater, added timeouts
      • All Multiverse users should update! - Now working with Multiverse!
    • v2.0:
      • PvP can be disabled in the settings.yml
      • Renamed GBPPL class to GBPListener class
      • Changed updater
    • v2.0-Beta-Build1:
      • Added multiworld support
      • See /plugins/GroupBasedPVP/ for more informations
      • Added WorldGuard region support
      • See /plugins/GroupBasedPVP/ for more informations
      • Renamed penalties.yml to settings.yml
      • Added new permission nodes
      • GroupBasedPVP.pvpgroup.<groupname>: Allows someone to attack another group, even if his group is not allowed to
      • Added Vault support
      • Renamed GBPPL class to GBPListener class
      • Changed way how YAMLs are loaded
      • Resource-conserving
      • Removed useless code
      • Now documented API on Github
      • Fixed some bugs
    • v1.9.3:
      • Added update reminder
      • Fixed several bugs
      • Updated configuration handling
      • Performance optimization
    • v1.9.2:
      • Added GroupManager support
      • Now sending anonymous usage data via Metrics to http://mcstats.org
    • v1.9.1:
      • Less code
      • Fixed bug with non registered user in PermissionsBukkit
    • v1.9:
      • Ready for Minecraft 1.2 and Bukkit 1.1-R5
      • Added bPermissions support
      • Fixed console messages
      • Fixed some potion bugs
    • v1.8.6:
      • Not sending empty messages
      • Now supporting other PVP mangers and Citizens.
    • v1.8.5:
      • FIXED a serious bug: Please update!
    • v1.8.4:
      • Arrow monitoring added: Players can't attack protected players with arrows
    • v1.8.3:
      • Added customizable messages
    • v1.8.2:
      • Fixed logical (stupid:)) bugs
      • PEX permissions fixed
    • v1.8.1:
      • Permissions added
    • v1.8:
      • PermissionsEx support
    • v1.7:
      • Puuh. It's a long time ago, that I've submitted the last update. That meant incompatibility :(
      • But now!!!! It is compatible to #1240 :)
    • v1.6:
      • "Wildcard"-Update
      • Added Wildcards for groups:
        Code:
        AttackingGroup: '*';
      • Removed more senseless things from console
    • v1.5:
      • Updated for #1060
      • Removed more unused stuff from console
      • Bug fixes at penalty-/gift-system
    • v1.1:
      • Bug fix: It doen't spam your console now. :)
    • v1.0:
      • Added penalties and gifts.
    • v0.9.1:
      • Released important bug fix! Please update.
    • v0.9:
      • First release

    [​IMG]
     
  2. Offline

    homerbond005

    I spend my time where it is necessary ;)
    Thanks for your exemplary bug message.
    I'll send you a very "secure" dev update! :D
     
  3. Offline

    ewplayer3

    I'm having an issue with this plugin. I just downloaded it, dumped it to my plugins folder, and restarted the server. I get the following:
    [SEVERE] Error occurred while enabling GroupBasedPVP v1.7 (Is it up to date?)
    This is followed by a series of Java errors. No GroupBasesPVP folder is created in plugins and it doesn't appear to be working. I stripped the server back to running only essentials and permissions 3.x just to rule out a conflict. I'm currently running build 1185. Any advice?
     
  4. Offline

    homerbond005

    I have tested it with Build 1240. So I'm not sure if it is working with lower versions. if the failure comes while enabling the plugin, I think updating Bukkit will help. I'll remove the Permissions-Plugin from the discribtion because there is no more support for it.
    If it doesn't work After updating Bukkit write again, please.
     
  5. Offline

    ewplayer3

    @homerbond005
    Would you happen to have a rollback version of this somewhere for a previous build? Granted, this is only a test environment, but I test here before rolling it to the live server and I'm not ready to go to build 1240 yet.
     
  6. Offline

    Cruxsky

    can you give me an example of a full config file? idk how to config it.
     
  7. Offline

    Starrk

    Wait so can I make it so that two groups can fight each other but the same people within their own group can't fight their own group?
     
  8. Offline

    homerbond005

    Thats easy:
    Group1: Group1
    Group2: Group2

    I do not have a 1185 compatible version. Sorry.

    Have a look at this one:
    Code:
    Group1: Group2
    #Group1 can't attack Group2
    Group3: '*'
    #Group3 can't attack anyone
    Group4: Group5, Group6
    #Group4 can't attack Group5 and Group6
    (Comments begin with #)

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 16, 2016
    Starrk likes this.
  9. Offline

    Pomme72

    Hi,

    I have put the .jar on my plugins folder, and /reloadall, and restart my server, I have tried all things I can't, but no folder "GroupbasedPvP" is creating.

    Please help !
     
  10. Offline

    homerbond005

    Are you sure? If you are, are there any failures in the console?
     
  11. Offline

    Pomme72

    Nothing in the console :'(
     
  12. Offline

    Pomme72

    Guy ?
     
  13. Offline

    homerbond005

    Is your server running Windows or Linux?
     
  14. Offline

    Pomme72

    I don't really know, sorry, I'm on http://www.verygames.net ;)
     
  15. Offline

    bigos

    Hi. Will it work with PermissionsEx? I really need PermissionsEx, because I'm using HeroChat.
     
  16. Offline

    homerbond005

    Try it ;) I don't know but I think so. If it doesn't work, you have to switch to OP-only.

    I need this information, otherwise I can't help. Maybe the plugin hasn't got the necessary permissions to change the filesystem.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 16, 2016
  17. Offline

    Migrosbudget

    Doesnt seem to be working on PermissionsEx, at least for me its not even generating a folder if I restart the server.
     
  18. Offline

    homerbond005

    Hmm that's strange. Which Bukkit build? Which OS? That would help me.
     
  19. Offline

    Migrosbudget

    Craftbukkit #1337

    Unfortunately I don't know what OS it is due to the server being hosted by avantehosting.net, would guess Win7 though.
     
  20. Offline

    Migrosbudget

    I just found the error that caused it, also I seen that you included the .classpath and .project files within the jar (which arent really required as far as I know, they just tell people your real name :p )


    2011-11-07 18:15:03 [SEVERE] Error occurred while enabling GroupBasedPVP v1.7 (Is it up to date?): null
    java.lang.NullPointerException
    at com.bukkit.HomerBond005.GBP.GBP.setupPermissions(GBP.java:31)
    at com.bukkit.HomerBond005.GBP.GBP.onEnable(GBP.java:42)
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:174)
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:957)
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
    at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:171)
    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:154)
    at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:297)
    at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:284)
    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:152)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:348)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:417)
     
  21. Offline

    homerbond005

    That is nice! I thought there is no error. Try this one: <Edit by Moderator: Redacted mediafire url>

    When I said, that this should work, I was wrong. This plugin is PermissionsBukkit only yet.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 27, 2016
  22. Offline

    Migrosbudget

    Can you add Pex support? A lot of people are using it actually.
     
  23. Offline

    homerbond005

    Yes, but at the moment I am very busy, like you see at my late answers.
     
  24. Offline

    ZacTheDead

  25. Offline

    homerbond005

    WTF YOU GUYS ARE KILLING ME! DONT YOU YOU READ THE OTHER MESSAGES?! Sorry for being that aggressive, but two other guys requested this. I can give you the same answer: I need some time.

    So I hope this will help you. Take version 1.8 with PermissionsEx support. ;)

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 16, 2016
  26. Offline

    ZacTheDead

    ok thanks

    ok a Suggestion...
    if you add the permssion 'grouppvp.pvp' or somthing like that
    that will disable the pvp for that group or player that has the perm assinged to it
    (allows me to make it multiworld)

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 16, 2016
  27. Offline

    homerbond005

    Hmm, I don't understand you. Do you want MultiWorld support or disabling PvP for special groups/players completely?
     
  28. Offline

    ZacTheDead

    Both :)
    Both (Sort of ) i want Perms to stop pvp happening for that player
     
  29. Offline

    homerbond005

    Okay, I think I'll finish it that evening.

    Permissions are added, MultiWorld support will be added in 1.9 .

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 16, 2016
  30. Offline

    ZacTheDead

    Thanks
     
  31. Offline

    Madsens

    Hi. I'm using Bukkit 1597 with PEX 1.17, and i cannot get this to work?
    I'm trying to do so that a group cannot do damage to it's own group, and when that works, ill enable the penalty.
    So right now the penalty is set to 0.

    The config.yml file looks like this:

    castle_jarsen: castle_jarsen #Users cannot attack others in same group

    I have also tried without the description of the group.
    And i have also checked that when the server starts, it loads the plugin. Succesfully it says.
    Got any ideas?
    Thx!
     

Share This Page